### Name: subset.qb
### Title: Subsetting Bayesian interval mapping data
### Aliases: subset.qb
### Keywords: utilities

### ** Examples

## Don't show: 
qb.load(cross, qbExample)
  example(qb.mcmc)

## End Don't show
## Subset to chr 1,3,5.
qbSubset <- subset(qbExample, chr = c(1,3,5))

## Subset to chr 1,3,5 but restrict to only pairs with 1,3,5.
qbSubset <- subset(qbExample, chr = c(1,3,5), restrict.pair = TRUE)

## Subset to chr 1,3,5, and to within 10 cM of QTL on chr 3,5.
qbSubset <- subset(qbExample, chr = c(1,3,5),
  region = data.frame(chr = c(3,5), start = c(2,5), end = c(22,25)))



